export default {
    "ditp.recget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.rec.ownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ditp.recget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "didgrp.rec.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "didgrp.apl.pts.ref":[
        {type: "string", required: true, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ditp.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],

    "ditp.usrget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "ditp.aplp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.apl.pts.extkey":[
        {type: "string", required: true, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ditp.aplp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "didgrp.cbs.nom1.cur": [
        {required: true, message: "必输项"},
    ],
    "didgrp.cbs.nom1.amt":[
        {required: true, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "didgrp.apl.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.apl.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.apl.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ditp.amt":[
        {type: "string", required: false, message: "必输项"},
        {max: 76,message:"长度不能超过76"}
    ],
    "didgrp.apl.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rec.nomtop":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],
    "didgrp.rec.nomton":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],
    "didgrp.apl.pts.youzbm":[
        {type: "string", required: false, message: "必输项"},
        {max: 6,message:"长度不能超过6"}
    ],
    "didgrp.apl.pts.dihdig":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],


    "didgrp.cbs.max.amt":[
        //{type: "number", required: false, message: "必输项"},
        // {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "didgrp.apb.pts.bankno":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],

    "didgrp.apb.pts.jigomc":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rec.opndat":[
        {required: false, message: "输入正确的日期"}
    ],

    "didgrp.rec.shpdat":[
        {required: false, message: "输入正确的日期"}
    ],
    "didgrp.ben.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.rec.expdat":[
        {required: true, message: "输入正确的日期"}
    ],
    "ditp.benp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.ben.pts.extkey":[
        {type: "string", required: true, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ditp.benp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "didgrp.rec.expplc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.ben.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.ben.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.ben.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.ben.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],


    "didgrp.ben.pts.youzbm":[
        {type: "string", required: false, message: "必输项"},
        {max: 6,message:"长度不能超过6"}
    ],
    "didgrp.ben.pts.dihdig":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.rec.idcode":[
        {type: "string", required: false, message: "必输项"},
        {max: 18,message:"长度不能超过18"}
    ],
    "didgrp.ben.pts.extact":[
        {type: "string", required: false, message: "必输项"},
        {max: 34,message:"长度不能超过34"}
    ],

    "didgrp.beb.pts.bankno":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],

    "didgrp.beb.pts.jigomc":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],


    "didgrp.rec.revtimes":[
        {type: "string", required: false, message: "必输项"},
        {max: 2,message:"长度不能超过2"}
    ],
    "didgrp.rec.revnbr":[
        {type: "string", required: false, message: "必输项"},
        {max: 2,message:"长度不能超过2"}
    ],
    "didgrp.rec.revdat":[
        {required: false, message: "输入正确的日期"}
    ],


    "didgrp.blk.revnotes":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.blk.revcls":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],

    "didgrp.blk.lcrgod":[
        {type: "string", required: false, message: "必输项"},
        {max: 1430,message:"长度不能超过1430"}
    ],

    "didgrp.blk.lcrdoc":[
        {type: "string", required: true, message: "必输项"},
        {max: 1950,message:"长度不能超过1950"}
    ],

    "didgrp.blk.adlcnd":[
        {type: "string", required: true, message: "必输项"},
        {max: 390,message:"长度不能超过390"}
    ],

    "didgrp.blk.insbnk":[
        {type: "string", required: true, message: "必输项"},
        {max: 1430,message:"长度不能超过1430"}
    ],


    "didgrp.rmb.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ditp.rmbp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.rmb.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ditp.rmbp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "didgrp.rmb.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rmb.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rmb.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rmb.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "didgrp.rec.rmbact":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "didgrp.blk.rmbcha":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ditp.rmbnar":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "didgrp.rec.autdat":[
        {required: false, message: "输入正确的日期"}
    ],



    "didgrp.rec.tenmaxday":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],


    "didgrp.blk.defdet":[
        {type: "string", required: false, message: "必输项"},
        {max: 140,message:"长度不能超过140"}
    ],
    "didgrp.rec.fqtime":[
        {type: "string", required: false, message: "必输项"},
        {max: 140,message:"长度不能超过140"}
    ],

    "didgrp.blk.preper":[
        {type: "string", required: false, message: "必输项"},
        {max: 105,message:"长度不能超过105"}
    ],



    "didgrp.rec.shpfro":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],


    "didgrp.rec.sdsrfs":[
        {type: "string", required: false, message: "必输项"},
        {max: 140,message:"长度不能超过140"}
    ],
    "didgrp.rec.shpto":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rec.conno":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rec.shppro":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "didgrp.rec.conamt":[
        // {type: "number", required: false, message: "必输项"},
        {max: 16,message:"整数位不能超过13位"},
        {pattern: /(^\d+$)|(^\.\d{1,2}$)|(^\d+\.\d{1,2}$)/, message: "小数位不能超过2位" }
    ],
    "didgrp.rec.tzref":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.adv.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.iss.pts.extkey":[
        {type: "string", required: true, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.adv.pts.bankno":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],
    "didgrp.iss.pts.bankno":[
        {type: "string", required: true, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],
    "didgrp.adv.pts.jigomc":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.iss.pts.jigomc":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.adv.pts.dizhii":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rec.lcrtyp":[
        {type: "string", required: true, message: "必输项"},
        {max: 2,message:"长度不能超过2"}
    ],
    "didgrp.iss.pts.dizhii":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.adv.pts.youzbm":[
        {type: "string", required: false, message: "必输项"},
        {max: 6,message:"长度不能超过6"}
    ],
    "didgrp.adv.pts.dihdig":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.iss.pts.youzbm":[
        {type: "string", required: false, message: "必输项"},
        {max: 6,message:"长度不能超过6"}
    ],
    "didgrp.iss.pts.dihdig":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],



    "didgrp.rmb.pts.bankno":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],
    "didgrp.rmb.pts.jigomc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.avb.pts.bankno":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],
    "didgrp.avb.pts.jigomc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.rmb.pts.dizhii":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.avb.pts.dizhii":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.apc.pts.bankno":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],

    "didgrp.apc.pts.jigomc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.cmb.pts.bankno":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],
    "didgrp.apc.pts.dizhii":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.cmb.pts.jigomc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "didgrp.apc.pts.youzbm":[
        {type: "string", required: false, message: "必输项"},
        {max: 6,message:"长度不能超过6"}
    ],
    "didgrp.apc.pts.dihdig":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "didgrp.cmb.pts.dizhii":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ditp.bennam":[
        {type: "string", required: false, message: "必输项"},
        {max: 100,message:"长度不能超过100"}
    ],
    "ditp.aplname":[
        {type: "string", required: false, message: "必输项"},
        {max: 100,message:"长度不能超过100"}
    ],
    "ditp.signam":[
        {type: "string", required: false, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],
    "ditp.remark":[
        {type: "string", required: true, message: "必输项"},
        {max: 800,message:"长度不能超过800"}
    ],
    "litbenl1blk":[
        {type: "string", required: true, message: "必输项"},
        {max: 200,message:"长度不能超过200"}
    ],
    "litapll1blk":[
        {type: "string", required: true, message: "必输项"},
        {max: 200,message:"长度不能超过200"}
    ],
    "litrmbl1blk":[
        {type: "string", required: true, message: "必输项"},
        {max: 200,message:"长度不能超过200"}
    ],
    "setmod.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],


    "setmod.docamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],




    "setmod.zmqacc":[
        {type: "string", required: false, message: "必输项"},
        {max: 20,message:"长度不能超过20"}
    ],


    "liaall.outamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.outpct":[
        {type: "string", required: false, message: "必输项"},
        {max: 6,message:"长度不能超过6"}
    ],
    "liaall.concur":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "liaall.misamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],


    "liaall.exttotoldamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.exttotamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "godnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "ameadvrmk":[
        {max: 68,message:"长度不能超过34"}
    ],
    "bchname":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "trnmod.trndoc.advnam":[
        {type: "string", required: false, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],
    "trnmod.trndoc.amdapl":[
        {type: "string", required: true, message: "必输项"},
        {max: 50,message:"长度不能超过50"}
    ],

    "trnmod.trndoc.advdoc":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "liaall.limmod.ecifno":[
        {type: "string", required: false, message: "必输项"},
        {max: 22,message:"长度不能超过22"}
    ],



    "liaall.limmod.ownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.othp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.limpts.wrk.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.wrkp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "liaall.limmod.limpts.oth.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "liaall.limmod.othp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "liaall.limmod.comamt":[
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.limmod.limpts.wrk.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "liaall.limmod.limpts.oth.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],
    "liaall.limmod.ccvamt":[
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],





    "liaall.limmod.limpts.pfcod1":[
        {type: "string", required: false, message: "必输项"},
        {max: 14,message:"长度不能超过14"}
    ],
    "liaall.limmod.limpts.pfcod2":[
        {type: "string", required: false, message: "必输项"},
        {max: 14,message:"长度不能超过14"}
    ],


    "mtabut.coninf.oitinf.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],


    "mtabut.coninf.oitset.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],

    "mtabut.coninf.conexedat":[
        {required: false, message: "输入正确的日期"}
    ],
    "mtabut.coninf.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],
    "liaall.liaccv.concur":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "liaall.liaccv.newamt":[
        {required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.liaccv.cshpct":[
        {type: "string", required: false, message: "必输项"},
        {max: 5,message:"长度不能超过5"}
    ],
    "liaall.liaccv.newresamt":[
        {required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.liaccv.relcshpct":[
        {type: "string", required: false, message: "必输项"},
        {max: 5,message:"长度不能超过5"}
    ],

    "liaall.liaccv.pctresamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],



    "liaall.liaccv.totcovamt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.liaccv.addinf":[
        {type: "string", required: true, message: "必输项"},
        {max: 70,message:"长度不能超过70"}
    ],
    "didgrp.rec.avbby":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],
    "litameadv":[
        {type: "string", required: true, message: "必输项"},
        {max: 30,message:"长度不能超过30"}
    ]
}